[Overview][Constants][Classes][Index] | Reference for unit 'streamex' (#fcl)

# TStreamReader.Close

Close and possibly free the stream

## Declaration

Source position: streamex.pp line 119

`public procedure TStreamReader.Close; override;`

## Description

Close closed the text data stream. It will free the source stream if OwnsStream is True

## See also

TStreamReader.BaseStream |  | The stream with the text data
TStreamReader.OwnsStream |  | Should the stream be freed on close